function [F,U]=rotate_pc_2(alpha0,lamda,PC)
alpha1=alpha0(1);
alpha2=alpha0(2);
beta1=alpha0(3);
beta2=alpha0(4);


U=[alpha1 beta1;
   alpha2 beta2];
tmp=PC*U;
cc=cov(tmp);
cc=cc(2,1);
%unit length
F1=norm(U(:,1))-1;
F2=norm(U(:,2))-1;
F3=cc;%alpha1*beta1+alpha2*beta2;
F4=lamda(2)*alpha1-lamda(1)*alpha2;
F=[F1;F2;F3;F4];


